---@meta HKUtils

---@class HKUtils
local utils = {}

function utils.moveXtowardsFacing(x, time, collide)
    local target = puppet.Position
    target.X = puppet.Position.X + x*puppet.Facing*-1
    helpers.positionTween(target, time, collide or false, true)
end

return utils